// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package apis

type ProviderParamFilter struct {
	Name  string `json:"name"`
	Value string `json:"value"`
}

type MerchantProviderLimitInfo struct {
	ProviderApiId         int64                 `json:"provider_api_id"`
	ProviderId            int64                 `json:"provider_id"`
	Enable                bool                  `json:"enable" description:"商户数据源是否启用"`
	State                 bool                  `json:"state" description:"数据源是否启用"`
	DayCount              int64                 `json:"day_count" description:"每天限制访问次数"`
	ProviderApiCode       string                `json:"provider_api_code" description:"三方api 代码"`
	ThirdpartHost         string                `json:"thirdpart_host" description:"三方api域名"`
	ThirdpartApiName      string                `json:"thirdpart_api_name" description:"三方api名"`
	ThirdpartApiRouter    string                `json:"thirdpart_api_router" description:"三方api路由"`
	ThirdpartApiMethod    string                `json:"thirdpart_api_method" description:"三方api方法"`
	Count                 int64                 `json:"count" description:"当天访问次数"`
	DayCountMaxLimit      int64                 `json:"day_count_max_limit" description:"每天数据源总访问上限"`
	Inventory             int64                 `json:"inventory" description:"保有量"`
	RetainMargin          int64                 `json:"retain_margin" description:"保有余量（总量-所有保有量）"`
	GroupNo               int                   `json:"group_no"`
	RetainMarginTotalUsed int64                 `json:"retain_margin_total_used"`
	Filters               []ProviderParamFilter `json:"filters" orm:"-"`
	Params                map[string]string     `json:"-"`
	Timeout               int                   `json:"timeout"`
}

type ManagementCheckProviderApiReq struct {
	MerchantChildApiId int64 `json:"merchant_child_api_id"`
	BaseApiId          int64 `json:"base_api_id"`
}

type ManagementCheckProviderApiReply struct {
	MerchantProviderLimitInfoList []MerchantProviderLimitInfo `json:"merchant_provider_limit_info"`
}
