package apis

type VehicleAge struct {
	YearCount  int64 `json:"yearCount"`  //年
	MonthCount int64 `json:"monthCount"` //月
}

type VehicleNew struct {
	Id                          int64  `json:"id" description:"唯一编号"`
	SerialNumber                string `json:"serial_number" description:"型号"`
	PlateNo                     string `json:"plate_no" description:"车牌号码"`
	PlateNoVague                string `json:"plate_no_vague" description:"脱敏车牌号码"`
	Vin                         string `json:"vin" description:"车辆识别代码"`
	BrandName                   string `json:"brand_name" description:"品牌"`
	PlateType                   string `json:"plate_type" description:"号牌种类"`
	ModelNo                     string `json:"model_no" description:"车辆型号"`
	EngineNo                    string `json:"engine_no" description:"发动机号"`
	VehicleType                 string `json:"vehicle_type" description:"车辆类型"`
	VehicleTypeDetail           string `json:"vehicle_type_detail"` //
	VehicleBodyColor            string `json:"vehicle_body_color" description:"车身颜色"`
	VehicleBodyColorDetail      string `json:"vehicle_body_color_detail"` //
	UseProperty                 string `json:"use_property" description:"使用性质"`
	UsePropertyDetail           string `json:"use_property_detail"` //
	Owner                       string `json:"owner" description:"所有人"`
	InsuranceFirstDate          string `json:"insurance_first_date" bson:"insurance_first_date" description:"首保日期"`
	InitialRegistrationDate     string `json:"initial_registration_date" description:"初次登记日期"`
	InspectionResultEffectiveTo string `json:"inspection_result_effective_to" description:"检验有效期止"`
	CompulsoryScrapTo           string `json:"compulsory_scrap_to" description:"强制报废日期"`
	State                       string `json:"state" description:"状态"`
	StateDetail                 string `json:"state_detail"` //
	EngineType                  string `json:"engine_type" description:"发动机型号"`
	FuelType                    string `json:"fuel_type" description:"燃料种类"`
	FuelTypeDetail              string `json:"fuel_type_detail"` //
	Displacement                int    `json:"displacement" description:"排量"`
	RatedPower                  int    `json:"rated_power" description:"功率"`
	AxleNumber                  int    `json:"axle_number" description:"轴数"`
	WheelBase                   int    `json:"wheel_base" description:"轴距"`
	FrontWheelDistance          int    `json:"front_wheel_distance" description:"前轮距"`
	BackWheelDistance           int    `json:"back_wheel_distance" description:"后轮距"`
	GrossMass                   int    `json:"gross_mass" description:"总质量"`
	UnladenMass                 int    `json:"unladen_mass" description:"装备质量"`
	ApprovedLoad                int    `json:"approved_load" description:"核定载重量"`
	ApprovedNumber              int    `json:"approved_number" description:"核定载客"`
	ReleaseDate                 string `json:"release_date" description:"出厂日期"`
	IsOwner                     string `json:"is_owner" orm:"-"`
	IsSupplement                bool   `json:"is_supplement"`
	CreateTime                  string `json:"create_time"`
	UpdateTime                  string `json:"update_time"`
	Timestamp                   int64  `json:"timestamp"` //
	UtSource                    string `json:"ut_source"` //
	Dataid                      string `json:"dataid"`
	LastCompulsoryInsuranceDate string `json:"last_compulsory_insurance_date"`     // 最近一次交强险投保年月
	OilWear                     string `json:"oil_wear"`                           //油耗
	Long                        int    `json:"long"`                               //长
	Wide                        int    `json:"wide"`                               // 宽
	High                        int    `json:"high"`                               // 高
	EmissionStandard            string `json:"emission_standard"`                  // 排放标准
	TyreNumber                  int    `json:"tyre_number"`                        // 轮胎数
	TyreSize                    string `json:"tyre_size"`                          // 轮胎规格
	AxleWeight                  string `json:"axle_weight"`                        // 轴荷
	VehicleModel                string `json:"vehicle_model"`                      // 车型
	TractionMass                int    `json:"traction_mass" descrition:"准牵引总质量 "` // spy 独有,A008
}
