package dy

import (
	"gd_vehicle/apis"
	"gd_vehicle/consts"
	"gd_vehicle/errors"
	"gd_vehicle/thirdparty"
	dutils "gd_vehicle/utils"
	"strconv"

	"gd_vehicle/common.in/utils"
	"go.uber.org/zap"

	"github.com/tidwall/gjson"
)


/*func GetDyTwoElementVerifyData(rdata string,respMap map[string]string){
	if rdata == "1"{
		respMap["is_match"] = rdata
	}else if rdata == "2"{
		respMap["is_match"] = "-1"
	}
}*/

func getDyKey(req *apis.ThirdpartRequest) string {
	key := consts.DyTwoElementVerifyPre + req.Params["id_card"] + req.Params["name"]
	return key
}

func paramDyData(ret string) (reply string, err error) {
	code := gjson.Get(ret, "code").String()
	compStatus := gjson.Get(ret, "data.compStatus").String()
	if code != "0" {
		return "", errors.VendorError
	} else if code == "200"{
		return "", errors.NoRecord
	}else {
		if compStatus == "3" {
			return compStatus, errors.NoRecord
		}else if compStatus == "1" ||  compStatus == "2"{
			if  compStatus == "1"{
				return compStatus,nil
			}else {
				return "-1",nil
			}
			//return compStatus ,nil
		}
	}
	return compStatus, errors.VendorError
}

func TwoElementVerifyLocal(req *apis.ThirdpartRequest) (reply string, err error) {
	reply, err = dutils.GetDataByRedis(getDyKey(req), int64(req.Req.ReuseTime), paramDyData)
	return reply, err
}

func TwoElementVerify(req *apis.ThirdpartRequest) (reply string, err error) {
	//req.LReq.Search = req.Params["id_card"]
	ret, err := thirdparty.DyIdentityVerifyHttpPost(req.ProviderInfo.ThirdpartHost+"/"+req.ProviderInfo.ThirdpartApiRouter, req.Params,req.ProviderInfo.Timeout)
	if err != nil {
		l.Error("func",
			zap.String("call", "DyIdentityVerifyHttpPost"),
			zap.String("args", utils.MarshalJsonString(req)),
			zap.String("error", err.Error()))
		req.LReq.ResponseParams = err.Error()
		dutils.SetAccessLogReqCodeMsgState(req.LReq, 1101, "gd_1101", "三方错误,请求失败", false)
		return "", errors.VendorError
	} else {
		req.LReq.ResponseParams = string(ret)
		reply ,err = paramDyData(string(ret))
		message := gjson.GetBytes(ret, "msg").String()
		code := gjson.GetBytes(ret, "code").String()

		if err == nil {
			dutils.SetAccessLogReqCodeMsgState(req.LReq, 0, code, message, true)
			dutils.StoreDataToRedis(getDyKey(req), string(ret))
		} else if err == errors.NoRecord {
			if code == "0"{
				code = gjson.GetBytes(ret, "data.compStatus").String()
			}
			dutils.SetAccessLogReqCodeMsgState(req.LReq, 1100, code, message, false)
			dutils.StoreDataToRedis(getDyKey(req), string(ret))
		} else {
			l.Error("func",
				zap.String("call", "DyIdentityVerifyHttpPost"),
				zap.String("args", utils.MarshalJsonString(req.Params)),
				zap.String("error", err.Error()))
			codeInt,_ := strconv.Atoi(code)
			dutils.SetAccessLogReqCodeMsgState(req.LReq, codeInt, code, message, false)
		}
		return reply, err
	}
}
