// Copyright 2019 gentensh.com. All rights reserved.
// Use of this source code is governed by gentensh.com.

package vehicle

import (
	"context"
	"gd_vehicle/apis"
	"gd_vehicle/consts"
	"gd_vehicle/errors"
	"gd_vehicle/impl/thirdparty_impl"
	dutils "gd_vehicle/utils"
)

// 保险日期查询
func IS001(ctx context.Context, req *apis.CommonReq, reply *apis.CommonReply) error {
	rData := req.Data.(map[string]interface{})
	vin := dutils.GetStringParams(rData,"vin")
	plateNo := dutils.GetStringParams(rData,"plate_no")
	plateType :=  dutils.GetStringParams(rData,"plate_type")
	/*MerchantProviderLimitInfoList, err := utils.GetProviderInfo(req.MerchantApiInfo.MerchantChildApiId, req.BaseApiId)
	if err != nil {
		return errors.ServiceError
	}

	providerMap, _ := utils.GenProviderInfoMapNew(MerchantProviderLimitInfoList)*/

	tReq := &apis.ThirdpartRequest{
		Ctx: ctx,
		Params: map[string]string{
			"plate_no":   plateNo,
			"plate_type": plateType,
			"vin":        vin,
		},
		ProviderApiCode: dutils.ADMIS01,
		ProviderMap:     req.ProviderMap,
		RangeNo:         consts.RANGEONE,
		Req:             req,
		Reply:           reply,
	}
	respData := make(map[string]string)
	err := thirdparty_impl.CallThirdparty(tReq,respData)
	if err != nil {
		return errors.NoRecord
	}

	reply.Data = respData
	return nil
}
